2005-09-16 [colin] 1.9.14cvs34
[claws.git] / src / plugins / pgpcore / Makefile.am
1 plugindir = $(pkglibdir)/plugins
2
3 plugin_LTLIBRARIES = pgpcore.la
4
5 pgpcore_la_SOURCES = \
6         passphrase.c \
7         plugin.c \
8         prefs_gpg.c \
9         select-keys.c \
10         sgpgme.c
11
12 pluginincludedir = $(pkgincludedir)/plugins/pgpcore
13 plugininclude_HEADERS = \
14         passphrase.h \
15         prefs_gpg.h \
16         select-keys.h \
17         sgpgme.h
18
19 pgpcore_la_LDFLAGS = \
20         -avoid-version -module \
21         $(GTK_LIBS) \
22         $(GPGME_LIBS)
23
24 INCLUDES = \
25         -I../../ \
26         -I../../common \
27         -I../../gtk
28
29 AM_CPPFLAGS = \
30         $(GLIB_CFLAGS) \
31         $(GTK_CFLAGS) \
32         $(GPGME_CFLAGS) \
33         -Wno-deprecated-declarations